<?php
	
	# 		Weather Facts
	# 		Namespace: weatherFacts
	#		Meteotemplate Block
	
	# 		v1.0 - Aug 1, 2017
	#			- initial release
	# 		v2.0 - Aug 3, 2017
	# 			- added data for Australia and New Zealand
	# 		v3.0 - Aug 5, 2017
	# 			- added data for Denmark, Norway and Sweden
	# 		v4.0 - Aug 9, 2017
	# 			- added data for the Netherlands and Spain
	# 		v5.0 - Aug 12, 2017
	# 			- added data for Italy
	# 		v6.0 - Aug 26, 2017
	# 			- added data for Portugal
	# 		v7.0 - Aug 28, 2017
	# 			- added data for Canada
	# 		v8.0 - Sep 1, 2017
	# 			- added data for Switzerland
	# 		v9.0 - Sep 4, 2017
	# 			- added selection customization
	
	// load theme
	$designTheme = json_decode(file_get_contents("../../css/theme.txt"),true);
	$theme = $designTheme['theme'];
	
	include("../../../config.php");
	include("../../../scripts/functions.php");
	include("../../../css/design.php");

	$languageRaw = file_get_contents($baseURL."lang/gb.php");
	$language['gb'] = json_decode($languageRaw,true);
	$languageRaw = file_get_contents($baseURL."lang/".$lang.".php");
	$language[$lang] = json_decode($languageRaw,true);

	if(file_exists("settings.php")){
		include("settings.php");
	}
	else{
		echo "Please go to your admin section and go through the settings for this block first.";
		die();
	}

	$showType = trim(strtolower($showType));

	$color1 = $theme=="dark" ? $color_schemes[$design2]['200'] : $color_schemes[$design2]['800'];

	// load possible
	$possibleCountries = glob("data/*.php");

	foreach($possibleCountries as $possibleCountry){
		$availableCountries[] = str_replace(".php","",str_replace("data/","",$possibleCountry));

	}

	if(in_array($stationCountry,$availableCountries)){
		$countryFacts = trim(strtolower($stationCountry));
	}
	else{
		$countryFacts = "cz";
	}
	
?>
	<style>
		#weatherFactsRefresher{
			font-size: 1.4em;
			cursor: pointer;
			opacity: 0.8;
		}
		#weatherFactsRefresher:hover{
			opacity: 1;
		}
		.weatherFactSelect{
			cursor: pointer;
			opacity: 0.9;
		}
		.weatherFactSelect:hover{
			opacity: 1;
		}
	</style>
	<?php 
		if($showType=="flags"){
	?>
			<?php 
				foreach($availableCountries as $availableCountry){
			?>
					<img src="<?php echo $pageURL.$path?>imgs/<?php echo $flagIconShape?>/big/<?php echo $availableCountry?>.png" style="width:<?php echo $availableCountry==$countryFacts ? 40 : 30?>px" class="weatherFactSelect" data-id="<?php echo $availableCountry?>">
			<?php
				}
			?>
			<input type="hidden" id="selectedWeatherFactCountry" value="<?php echo $countryFacts?>">
	<?php 	
		}
		else{
	?>
			<select class="button2" id="selectedWeatherFactCountry">
				<?php 
					include("countries.php");

					foreach($availableCountries as $availableCountry){
						foreach($countries as $country){
							if($country[1] == strtoupper($availableCountry)){
								$translatedCountry = $country[2];
							}
						}
				?>
						<option value="<?php echo $availableCountry?>" <?php if($countryFacts==$availableCountry){ echo "selected";}?>><?php echo $translatedCountry?></option>
				<?php
					}
				?>
			</select>
	<?php 
		}
	?>
	<div id="weatherFact" style="font-size:1.2em;padding-bottom:10px;font-variant:small-caps;width:96%;margin:0 auto;text-align:left;color:#<?php echo $color1?>"></div>
	<div id="weatherFactAnswer" style="text-align:justify;width:96%;margin:0 auto"></div>
	<div style="text-align:right;width:98%;margin:0 auto">
		<span class="fa fa-refresh" id="weatherFactsRefresher"></span>
	</div>
	<script>	
		function updateWeatherFacts(){
			selected = $("#selectedWeatherFactCountry").val();
			$.ajax({
				url : 'homepage/blocks/weatherFacts/data/' + selected + '.php',
				dataType : 'json',
				success : function (json) {
					$("#weatherFact").html(json[0]);	
					$("#weatherFactAnswer").html(json[1]);						
				},
			});	
		}
		updateWeatherFacts();
		$("#weatherFactsRefresher").click(function(){
			updateWeatherFacts();
		});
		<?php 
			if($showType=="flags"){
		?>
				$(".weatherFactSelect").click(function(){
					$(".weatherFactSelect").width(30);
					$(this).width(40);
					id = $(this).attr("data-id");
					$("#selectedWeatherFactCountry").val(id);
					updateWeatherFacts();
				})
		<?php 
			}
			else{
		?>
				$("#selectedWeatherFactCountry").change(function(){
					updateWeatherFacts();
				})
		<?php
			}
		?>
	</script>